Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class AttachVolumeRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.AttachVolumeRequest

    public class AttachVolumeRequest

extends AmazonWebServiceRequest

Container for the parameters to the `AttachVolume operation`.

Attach a previously created volume to a running instance.

See Also:
  `AmazonEC2.attachVolume(AttachVolumeRequest)`

Constructor Summary
`AttachVolumeRequest()`

Method Summary
`String` | `getDevice()` Specifies how the device is exposed to the instance (e.g., /dev/sdh).
`String` | `getInstanceId()` The ID of the instance to which the volume attaches.
`String` | `getVolumeId()` The ID of the Amazon EBS volume.
`void` | `setDevice(String device)` Specifies how the device is exposed to the instance (e.g., /dev/sdh).
`void` | `setInstanceId(String instanceId)` The ID of the instance to which the volume attaches.
`void` | `setVolumeId(String volumeId)` The ID of the Amazon EBS volume.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`AttachVolumeRequest` | `withDevice(String device)` Specifies how the device is exposed to the instance (e.g., /dev/sdh).
`AttachVolumeRequest` | `withInstanceId(String instanceId)` The ID of the instance to which the volume attaches.
`AttachVolumeRequest` | `withVolumeId(String volumeId)` The ID of the Amazon EBS volume.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttachVolumeRequest

    public AttachVolumeRequest()

Method Detail

### getVolumeId

    public String getVolumeId()

  The ID of the Amazon EBS volume. The volume and instance must be within the same Availability Zone and the instance must be running.

  Returns:
    The ID of the Amazon EBS volume. The volume and instance must be within the same Availability Zone and the instance must be running.

### setVolumeId

    public void setVolumeId(String volumeId)

  The ID of the Amazon EBS volume. The volume and instance must be within the same Availability Zone and the instance must be running.

  Parameters:
    `volumeId` - The ID of the Amazon EBS volume. The volume and instance must be within the same Availability Zone and the instance must be running.

### withVolumeId

    public AttachVolumeRequest withVolumeId(String volumeId)

  The ID of the Amazon EBS volume. The volume and instance must be within the same Availability Zone and the instance must be running.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `volumeId` - The ID of the Amazon EBS volume. The volume and instance must be within the same Availability Zone and the instance must be running.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstanceId

    public String getInstanceId()

  The ID of the instance to which the volume attaches. The volume and instance must be within the same Availability Zone and the instance must be running.

  Returns:
    The ID of the instance to which the volume attaches. The volume and instance must be within the same Availability Zone and the instance must be running.

### setInstanceId

    public void setInstanceId(String instanceId)

  The ID of the instance to which the volume attaches. The volume and instance must be within the same Availability Zone and the instance must be running.

  Parameters:
    `instanceId` - The ID of the instance to which the volume attaches. The volume and instance must be within the same Availability Zone and the instance must be running.

### withInstanceId

    public AttachVolumeRequest withInstanceId(String instanceId)

  The ID of the instance to which the volume attaches. The volume and instance must be within the same Availability Zone and the instance must be running.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceId` - The ID of the instance to which the volume attaches. The volume and instance must be within the same Availability Zone and the instance must be running.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDevice

    public String getDevice()

  Specifies how the device is exposed to the instance (e.g., /dev/sdh).

  Returns:
    Specifies how the device is exposed to the instance (e.g., /dev/sdh).

### setDevice

    public void setDevice(String device)

  Specifies how the device is exposed to the instance (e.g., /dev/sdh).

  Parameters:
    `device` - Specifies how the device is exposed to the instance (e.g., /dev/sdh).

### withDevice

    public AttachVolumeRequest withDevice(String device)

  Specifies how the device is exposed to the instance (e.g., /dev/sdh).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `device` - Specifies how the device is exposed to the instance (e.g., /dev/sdh).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.